Ubuntu

MASTER: support graphics card hot switch

Reported by Albert Vilella on 2008-12-31
This bug affects 267 people
Affects Status Importance Assigned to Milestone
X.Org X server
Invalid
Undecided
borzu
xorg (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Timo Aaltonen
Declined for Hardy by Timo Aaltonen
Declined for Intrepid by Timo Aaltonen
Declined for Jaunty by Timo Aaltonen
Declined for Karmic by Timo Aaltonen
Declined for Lucid by Timo Aaltonen
xorg-server (Ubuntu)
Wishlist
Unassigned
Declined for Dapper by Timo Aaltonen
Declined for Hardy by Timo Aaltonen
Declined for Intrepid by Timo Aaltonen
Declined for Jaunty by Timo Aaltonen
Declined for Karmic by Timo Aaltonen
Declined for Lucid by Timo Aaltonen

Bug Description

http://forum.notebookreview.com/showthread.php?t=258304

Hybrids with the Ability to turn off the 3d chip:

AMD/ATI calls it PowerXpress and Nvidia HybridPower. It uses 2 graphics cards, one energy efficient with little 3d power and the other for gaming (fast and uses more/a lot of power), the user can choose which chip to use.
This is not a new concept. Sony has build in 2 graphics chips into some of their laptops for years. In the past a reboot was required to switch between the chips. With the new generation it is possible to change between chips on the fly, the screen will flicker but no need to reboot. At least in Windows Vista (XP, Linux not supported) the user can switch freely between the chips or set up a profile to do so automatically (eg when on battery use low power chip and when plugged in use the more powerful chip).

The graphic card hybrid not only works with two Nvidia or AMD cards but the low power Intel graphics solutions (mostly shard memory) can also be combined with 3d chips from AMD or Nvidia. This solution is ideal for users who want maximum battery life and be able to play current games. The most likely combination is Intel shard memory graphics card for battery life and some low to mid level 3d chip. This will not give great 3d performance but enable you to play some games.

Limitations are the drivers. Special drivers are needed depending on which graphic chips are combined in the hybrid. This will most likely make you depended on the Notebook manufactures driver support. It is uncertain if 3rd party drivers (such as laptopvideo2go) will be usable.

The following notebooks have Nvidia hybrid graphics (as seen on the link below):
http://www.nvidia.com/object/io_1221136906708.html
- Sony VAIO Z (Nvidia GeForce 9300M GS & Intel GMA 4500MHD)
- Fujitsu Siemens Amilo XI 3650 (Nvidia GeForce 9600M GT & Intel GMA 4500MHD)
- BenQ Joybook S42 (Nvidia GeForce 9600M GT & Intel GMA 4500MHD)

On the NVidia side, we reported this issue in the nvnews forum:
http://www.nvnews.net/vbulletin/showthread.php?p=1916754

On the AMD/ATI side, we got words from Alex Deucher that he will liaise with AMD for docs in time:
> We can definitely look into it, the problem is we already have a
> backlog of stuff with higher priority (finishing 3D, newer power
> management bits, investigating IDCT/UVD, etc.) to work through at the
> moment, so I cannot say when we'd get to hybrid graphics. The other
> problem is that since many of these hybrid solutions are multi-vendor,
> we may not have the rights release certain IP. Even if would could
> release some information, as has been stated previously, the driver
> stack needs significant work to support something like this.

On the Sony Vaio Z series, right now both cards are visible under Linux, but there is no way to hot-switching-off (if that is a word...) the Nvidia card. There are currently ~45 users of Sony Vaio Z series using Linux that would like this feature to be implemented. See:

https://launchpad.net/~sony-vaio-z-series

Also, see:

http://forum.notebookreview.com/showthread.php?t=325616&page=1
http://forum.notebookreview.com/showthread.php?t=325616&page=2
http://forum.notebookreview.com/showthread.php?t=325616&page=3
http://forum.notebookreview.com/showthread.php?t=325616&page=4
http://forum.notebookreview.com/showthread.php?t=325616&page=5

-------------------------------------------------------------------------------

If you would like to help the developers in creating a solution you will need to submit your system and DSDT information and possibly try the ./test_off.sh script.
Follow these instructions: http://linux-hybrid-graphics.blogspot.com/2010/07/using-acpicall-module-to-switch-onoff.html

goto (gotolaunchpad) wrote :

OT (but also important): And also on the amd/ati side there are problems. Many laptops have two graphics chips inside (hybrid crossfire), but x cannot start, not even with vesa. We need to do something about this. Thanks.

Timo Aaltonen (tjaalton) on 2009-01-01
Changed in xorg:
importance: Undecided → Wishlist
pdf (pdffs) wrote :

Hot switching video cards on linux will not be possible without a restart of X - the mechanism just doesn't exist at this time. So, we won't be able to reproduce what Vista does without huge code changes in X. What we can hope for is to get the nVidia card to initialise when both cards are presented by the BIOS, or to emulate what the platform drivers do on Windows XP to convince the BIOS that it should only activate the card denoted by the state of the killswitch.

Bryce Harrington (bryce) wrote :

[This is an automated message]

Hi avilella,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

Please attach the output of `lspci -vvnn` too.

Changed in xorg:
status: New → Incomplete
Julius (caesar-bs) wrote :

i attach the output from a Sony Vaio VGN-Z wn/b.
Please note the without windows there is no way atm to activate the nvidia card, so i am stuck with the intel adapter. when i install the drivers from nvidia in ubuntu i am unable to start X.

Julius (caesar-bs) wrote :

and the Xorg.0.log. There are no customisations with respect to the standard intrepid Xorg.conf here ...

Albert Vilella (avilella) wrote :

A bit of an extended explanation found here:

http://forum.notebookreview.com/showthread.php?t=258304

Hybrids with the Ability to turn off the 3d chip:

AMD/ATI calls it PowerXpress and Nvidia HybridPower. It uses 2 graphics cards, one energy efficient with little 3d power and the other for gaming (fast and uses more/a lot of power), the user can choose which chip to use.
This is not a new concept. Sony has build in 2 graphics chips into some of their laptops for years. In the past a reboot was required to switch between the chips. With the new generation it is possible to change between chips on the fly, the screen will flicker but no need to reboot. At least in Windows Vista (XP, Linux not supported) the user can switch freely between the chips or set up a profile to do so automatically (eg when on battery use low power chip and when plugged in use the more powerful chip).

The graphic card hybrid not only works with two Nvidia or AMD cards but the low power Intel graphics solutions (mostly shard memory) can also be combined with 3d chips from AMD or Nvidia. This solution is ideal for users who want maximum battery life and be able to play current games. The most likely combination is Intel shard memory graphics card for battery life and some low to mid level 3d chip. This will not give great 3d performance but enable you to play some games.

Limitations are the drivers. Special drivers are needed depending on which graphic chips are combined in the hybrid. This will most likely make you depended on the Notebook manufactures driver support. It is uncertain if 3rd party drivers (such as laptopvideo2go) will be usable.

description: updated
Albert Vilella (avilella) wrote :

A long discussion about this feature took place in the xorg mailing list:

http://lists.freedesktop.org/archives/xorg/2009-January/042543.html

goto (gotolaunchpad) on 2009-01-18
Changed in xorg:
status: Incomplete → Confirmed
goto (gotolaunchpad) wrote :

Thanks for the interesting link, Albert.

lowtraxx (oliver-pahl) wrote :

As pointed out in this thread http://forum.notebookreview.com/showthread.php?t=342947 the Solution used in the Z-Series is built by NVIDIA . The Author also states, that the same technology is used in other notebooks. If this is indeed true, it should be possible for NVIDIA to provide drivers using this technology under linux. Or at least provide technical details on how to switch their part of the board off. Also it seems that NVIDIA is providing Windows Drivers in the future supporting at least some of the Intel/NVIDIA Hybrids.

description: updated
description: updated
description: updated
Rainer (rvjr) wrote :

Dear Dev Team

I also own a Z590 and would really like to get rid of vista... For me even a simple switch with reboot would do it, has anyone found a solution how to tell kubuntu which adapter to use? disabling the respective other adapter would be good to save power, but not absolutely necessary i think...

Any suggestions?

Thanks
Rainer

Julius (caesar-bs) wrote :

I would like to add, that it is not necessary to have Windows installed to make the switch work on a VAIO Z notebook. It is sufficient to boot from a XP cd and run the install until it blue screens. A soft reboot via the power switch is going to make the switch LED work and it is possible to use the nvidia card. As i dont think there is any special driver on a win xp sp2 cd, it might be possible get the correct behaviour with bios or acpi magic ??

jtechs (thatsthewayitis) wrote :

I can confirm the BSOD workaround.

I was investigating the DSDT from /proc/acpi/dsdt

I booted with nvidia and intel and dumped/decoded the DSDT and running diff i get

< OperationRegion (MBOX, SystemMemory, 0xBFDBEC18, 0x000002BC)
---
> OperationRegion (MBOX, SystemMemory, 0xBBBBEC18, 0x000002BC)
557c557
< OperationRegion (NVST, SystemMemory, 0xBFDBEED4, 0x000000D8)
---
> OperationRegion (NVST, SystemMemory, 0xBBBBEED4, 0x000000D8)

There is only two changes...

I created/compiles a DSDT to reflect the nvidia version and added via update-initramfs rebooted but there was no change, Card will not activate via this method (for me)
http://forums.fedora-fr.org/viewtopic.php?pid=324637 (french) seems to be making more progress.

Jtechs

Bryce Harrington (bryce) wrote :

[It's redundant to have this filed against xorg as well as xserver]

Changed in xorg:
status: New → Invalid
Download full text (5.7 KiB)

Hi,

I did some progress (being xion.luhnis from fedora-fr). However, I'v
stopped my work on the dsdt file during some time until next week for
personal reasons (study examinations). I'll continue to try some fix
as soon as I can.

In my case, I'v succeeded in using both cards alone. (using winxp
reboot to switch)
I used different xorg configurations for each card and all worked
out-of-the-box on Fedora 10.

For the dsdt file, I compiled it with the whole kernel (and not only
the initram), but it should also work. In fact, it won't make you
switch working, but persisting. With the dsdt-hack, linux don't (or
seems not to) uninitialize the switch at shutdown. Then you can work
on some mode without need to go through winxp as long as you stay on
the same mode.
The problem is that you'll need some day to change and then you'll
need to use winxp again.

Note : in my case, I didn't tried to reflect the nvidia version, but I
changed the _OS code of linux to reflect the one of windows xp sp2.

Hoping we'll find some valuable solution to our problem.
Have a good week-end.

Alexandre Kaspar

jtechs <email address hidden> a écrit :

> I can confirm the BSOD workaround.
>
> I was investigating the DSDT from /proc/acpi/dsdt
>
> I booted with nvidia and intel and dumped/decoded the DSDT and running
> diff i get
>
> < OperationRegion (MBOX, SystemMemory, 0xBFDBEC18, 0x000002BC)
> ---
>> OperationRegion (MBOX, SystemMemory, 0xBBBBEC18, 0x000002BC)
> 557c557
> < OperationRegion (NVST, SystemMemory, 0xBFDBEED4, 0x000000D8)
> ---
>> OperationRegion (NVST, SystemMemory, 0xBBBBEED4, 0x000000D8)
>
> There is only two changes...
>
> I created/compiles a DSDT to reflect the nvidia version and added
> via update-initramfs rebooted but there was no change, Card will not
> activate via this method (for me)
> http://forums.fedora-fr.org/viewtopic.php?pid=324637 (french) seems
> to be making more progress.
>
> Jtechs
>
> --
> support graphics card hot switch
> https://bugs.launchpad.net/bugs/312756
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “xorg” source package in Ubuntu: New
> Status in “xorg-server” source package in Ubuntu: Confirmed
>
> Bug description:
> http://forum.notebookreview.com/showthread.php?t=258304
>
> Hybrids with the Ability to turn off the 3d chip:
>
> AMD/ATI calls it PowerXpress and Nvidia HybridPower. It uses 2
> graphics cards, one energy efficient with little 3d power and the
> other for gaming (fast and uses more/a lot of power), the user can
> choose which chip to use.
> This is not a new concept. Sony has build in 2 graphics chips into
> some of their laptops for years. In the past a reboot was required
> to switch between the chips. With the new generation it is possible
> to change between chips on the fly, the screen will flicker but no
> need to reboot. At least in Windows Vista (XP, Linux not supported)
> the user can switch freely between the chips or set up a profile to
> do so automatically (eg when on battery use low power chip and when
> plugged in use the more powerful chip).
>
> The graphic...

Read more...

Bryce Harrington (bryce) on 2009-03-06
Changed in xorg-server:
status: Confirmed → Triaged

On the ATI front, the Lenovo T400/T500 laptops also have this dual graphics option.

Here is a link with the DSDT for a Lenovo T400:
http://n.ethz.ch/~smani/dsdt

Albert Vilella (avilella) wrote :

This is the DSDT.dsl for a Dell Studio XPS 13 with:
02:00.0 VGA compatible controller: nVidia Corporation GeForce 9200M GS (rev a1)
03:00.0 VGA compatible controller: nVidia Corporation GeForce 9400M G (rev b1)

tannalv (gandkri) wrote :

This is the DSDT.dsl for an HP tx2500 with:
01:05.0 VGA compatible controller: ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics]

Dr.w (drwil95) wrote :

Hello,

First, sorry for my bad English but I am French :) .

I have a X300-14N Toshiba laptop with this configuration :
3 GPU : 1X 9400M GT and a SLI with 2X 9800M GTS
Intel Q9000 Core2Quad
2X 320GB SATA HDD
In USA you have the equivalent with X305-706 and X305-708 but the HDD and the Q9000 change (one have a Core2Duo and one a SSD)

I have a Dual Boot with Windows Vista 64B and Ubuntu 8.10 64bit
Currently I can start the X server if I configure my xorg.conf to specify the BusID of my 9400M GT.
If I specify one 9800M GTS I cant start ubuntu : No screen Found.

I cant disable the Hybrid SLI in my BIOS.

With lspci | grep "VGA" I have :
02:00.0 VGA compatible controller: nVidia Corporation Device 0628 (rev a1)
04:00.0 VGA compatible controller: nVidia Corporation GeForce 9400M G (rev b1)

but in the Nvidia-setting I can see (I have the 180.11 nvidia driver) :
9400M GT BusID: 4:0:0
9800M GTS 1 BusID: 3:0:0
9800M GTS 2 BusID: 2:0:0

This is my DSDT.dsl : http://www.megaupload.com/?d=IB3RRUCY

Dr.w

Cata84 (betadog) wrote :

Hello all,

I own an ACER Aspire 7530G with a Geforce 9400M HybridSLI adapter (at least that what's advertised on the laptop stickers).

nvidia-settings reports a GeForce 9100M G and a GeForce 9300M GS.

lspci: (see attached link "lspci -vvnn" for the whole output of said command)
02:00.0 VGA compatible controller: nVidia Corporation GeForce 9100M G (rev a2)
03:00.0 VGA compatible controller: nVidia Corporation GeForce 9300M GS (rev a1)

There is no external button or BIOS switch to swap which card is used - this happens automatically with Vista and seems to be handled by the nvidia driver or Vista power management.

LiveCD and booting without the proprietary driver works, but is very, very slow.

When booting with the proprietary nVidia driver set in xorg.conf, xorg throws an error in xorg.0.log (See links). Only a black screen can be seen.

When setting BusID to "PCI:2:0:0" in xorg.conf, you get a working X with hardware acceleration and all that, but only using the slower of the 2 cards (afaik). See Links for Log.
Using BusID PCI:3:0:0 doesn't work but throws a new error. (See my forum post at http://ubuntuforums.org/showpost.php?p=6674183&postcount=1 or the whole output at Links)

Links:
lspci -vvnn:
http://pastebin.com/f5dbf098
Working xorg.conf:
http://pastebin.com/f883d260
Xorg.0.log, nvidia prop. driver without changes to xorg.conf: (Throws error at the bottom)
http://pastebin.com/f79019e3a
Xorg.0.log with BusID "PCI:2:0:0": (Works)
http://pastebin.com/f7ab6e4db
Xorg.0.log with BusID "PCI:3:0:0": (Throws errors)
http://pastebin.com/f3ba83743

ASDS.dsl is attached to this post.
Please note: This is from a working boot with BusID "PCI:2:0:0" and the proprietary driver.
If you need one with other options, just ask. :)

If any more information is needed, just ask.

Cata84 (betadog) on 2009-04-05
description: updated
description: updated
Jonas (jonas-fritzsche) wrote :

Hello

I have a MSI EX630-Q6043VHP laptop

like the laptop from Cata84 it uses a GeForce 9100M G and a GeForce 9300M GS with the Hybrid technology

lspci | grep "VGA":
02:00.0 VGA compatible controller: nVidia Corporation GeForce 9100M G (rev a2)
03:00.0 VGA compatible controller: nVidia Corporation GeForce 9300M GS (rev a1)

read the ASDS.dsl attached to this post for further information

Nick (winternexus) wrote :

Hello,

I have a Toshiba Qosmio X305-706 and ubuntu runs very unstable like freezing on the desktop. There's no switch in my bios to disable the hybrid Sli with my laptop either.

This is probably already in the DSDL file, but I thought I'd list this from the x.org log anyway. Actually I'm not really sure what I should post since I'm extremely new to Linux. If I did anything wrong please let me know.

(!!) More than one possible primary device found
(--) PCI: (0@0:3:5) nVidia Corporation MCP79 Co-processor rev 177, Mem @ 0xf0800000/524288
(--) PCI: (0@2:0:0) nVidia Corporation unknown chipset (0x0628) rev 161, Mem @ 0x8e000000/16777216, 0xd0000000/268435456, 0x8c000000/33554432, I/O @ 0x00004000/128
(--) PCI: (0@3:0:0) nVidia Corporation unknown chipset (0x0628) rev 161, Mem @ 0x8a000000/16777216, 0x90000000/268435456, 0x88000000/33554432, I/O @ 0x00005000/128
(--) PCI: (0@4:0:0) nVidia Corporation GeForce 9400M G rev 177, Mem @ 0x86000000/16777216, 0xb0000000/268435456, 0xcc000000/33554432, I/O @ 0x00006000/128, BIOS @ 0x????????/131072
(II) System resource ranges:
 [0] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
 [1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
 [2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
 [3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
 [4] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
 [5] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]

I've attached the DSDT.dsl file for my laptop.

Dr.w (drwil95) wrote :

Hello,

Like I say I have a equivalent of a X305-Q706 (but eropean version)
I use Ubuntu 8.10 with proprietary nvidia driver (beta driver on the nvidia website are more stable).
You can try my xorg.conf, with it my Ubuntu is stable but I have just a 9400M GT with it.
I re-attached my DSDT.dsl (because last is on megaupload)

# nvidia-settings: X configuration file generated by nvidia-settings
# nvidia-settings: version 1.0 (buildd@crested) Mon Nov 3 08:46:04 UTC 2008

# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig: version 1.0 (buildmeister@builder62) Thu Feb 5 00:08:50 PST 2009

Section "ServerLayout"
    Identifier "Layout0"
    Screen 0 "Screen0" 0 0
    InputDevice "Keyboard0" "CoreKeyboard"
    InputDevice "Mouse0" "CorePointer"
EndSection

Section "Files"
EndSection

Section "Module"
    Load "dbe"
    Load "extmod"
    Load "type1"
    Load "freetype"
    Load "glx"
EndSection

Section "ServerFlags"
    Option "Xinerama" "0"
EndSection

Section "InputDevice"

    # generated from default
    Identifier "Mouse0"
    Driver "mouse"
    Option "Protocol" "auto"
    Option "Device" "/dev/psaux"
    Option "Emulate3Buttons" "no"
    Option "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"

    # generated from default
    Identifier "Keyboard0"
    Driver "kbd"
    Option "XkbModel" "pc105"
    Option "XkbLayout" "fr"
    Option "XkbVariant" "oss"
EndSection

Section "Monitor"
    Identifier "Monitor0"
    VendorName "Unknown"
    ModelName "Nvidia Default Flat Panel"
    HorizSync 29.0 - 56.0
    VertRefresh 0.0 - 61.0
    Option "DPMS"
EndSection

Section "Device"
    Identifier "Device0"
    Driver "nvidia"
    VendorName "NVIDIA Corporation"
    BoardName "GeForce 9400M G"
    BusID "PCI:4:0:0"
EndSection

Section "Device"
    Identifier "Device1"
    Driver "nvidia"
    VendorName "NVIDIA Corporation"
    BoardName "GeForce 9800M GTS"
    BusID "PCI:3:0:0"
EndSection

Section "Device"
    Identifier "Device2"
    Driver "nvidia"
    VendorName "NVIDIA Corporation"
    BoardName "GeForce 9800M GTS"
    BusID "PCI:2:0:0"
EndSection

Section "Screen"
    Identifier "Screen0"
    Device "Device0"
    Monitor "Monitor0"
    DefaultDepth 24
    Option "SLI" "false"
    Option "TwinView" "0"
    Option "metamodes" "1440x900_60 +0+0"
    SubSection "Display"
        Depth 24
    EndSubSection
EndSection

Nick (winternexus) wrote :

Wow I feel really stupid. Apologies to you Dr w for not noticing you had the same laptop as me. It also looks like my x.org configuration was wrong too, thank you very much.

Charles Profitt (cprofitt) wrote :

I have the Lenovo T500 with switchable graphics (currently running with Intel only)

DougieFresh4U (butcheeyboy) wrote :
DougieFresh4U (butcheeyboy) wrote :
DougieFresh4U (butcheeyboy) wrote :
diablo (diablo-diablonetwork) wrote :
WiFi Ed (moran-ed) wrote :
Mica (noobsopan) wrote :

this is with the preinstalled drivers in ubuntu 9.04, not the restricted, since I need X working for work.

and the official Ati Drivers didnt work at all ^^;

kioshi (andrea-pillai) wrote :

Aspire 5920, ATI HD 3470, Jaunty (WUBI install) video is quite buggy, but possibly cause I have no idea what I need to do.. total noob, but here goes

delly (lol-to-hell) wrote :

Fujitsu Siemens Amilo Pa 3553
Hmmmmm, well due the Xorg's conflict with the propitary drivers i don't really use em that much(also new install). Ubuntu 9.04.

Janaka Perera (janakaclk) wrote :

Toshiba Satellite A305-S6839. Graphics card: ATI Mobility Radeon HD 3470.

I used to run the ATI proprietary drivers with ubuntu 8.10. Didnt work first with Jaunty(Beta) with fglrx 8.600 driver due to a driver installer issue. I got it working after lot of hard work (https://bugs.launchpad.net/bugs/355495)

jammanuser (jamman647) wrote :

Hello.
I'm using a Dell Studio 1535, and my model has the ATI Radeon HD 3450 graphics card.
DSDT.dsl attached.

BORBELY Zoltan (bozo-andrews) wrote :

Fujitsu Siemens Amilo Xi 3650

EricV (eric-valette) wrote :
Prizrak (slavachem) wrote :
dialallama (mrjoebailey) wrote :

ASUS F5SL

ATI HD 3400 + Some sort of intel graphics card (i think)

tags: added: patch
pdf (pdffs) on 2010-03-02
tags: removed: patch
Adam Niedling (krychek) on 2010-10-18
description: updated
Bryce Harrington (bryce) on 2010-11-22
summary: - support graphics card hot switch
+ MASTER: support graphics card hot switch
borzu (dborzuchowski) on 2010-12-18
Changed in xorg-server:
assignee: nobody → borzu (dborzuchowski)
415 comments hidden view all 495 comments
Aarin (pabaptista) wrote :

# sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
HP Pavilion dv6 Notebook PC
058A110000242B10010020100

# lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Device [1002:68c1] (prog-if 00 [VGA controller])

Tomasz Pawlikowski (tommmmmm) wrote :

My DSDT.dsl

guenthul (ulrich-guenther) wrote :

# sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
B5130M
Not Applicable

# lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0df0] (rev a1) (prog-if 00 [VGA controller])

Alan Cole (alan-cole) wrote :

I just received an HP dv7 notebook with these hybrid graphics. I found this thread, so thought I'd share my info.

Al

samu (samuca-leal) wrote :

I have a Dell XPS i5 L701x, with a Intel HD onbord GPU, and a Nvidia GeForce GT 435M.

uname -a: Linux pantaleon 2.6.35-27-generic #48-Ubuntu SMP Tue Feb 22 20:25:46 UTC 2011 x86_64 GNU/Linux

Here it goes the output from ./test_off.sh (nothing worked)

Trying \_SB.PCI0.P0P1.VGA._OFF: failed
Trying \_SB.PCI0.P0P2.VGA._OFF: failed
Trying \_SB_.PCI0.OVGA.ATPX: failed
Trying \_SB_.PCI0.OVGA.XTPX: failed
Trying \_SB.PCI0.P0P3.PEGP._OFF: failed
Trying \_SB.PCI0.P0P2.PEGP._OFF: failed
Trying \_SB.PCI0.P0P1.PEGP._OFF: failed
Trying \_SB.PCI0.MXR0.MXM0._OFF: failed
Trying \_SB.PCI0.PEG1.GFX0._OFF: failed
Trying \_SB.PCI0.PEG1.GFX0.DOFF: failed
Trying \_SB.PCI0.XVR0.Z01I.DGOF: failed
Trying \_SB.PCI0.PEGR.GFX0._OFF: failed
Trying \_SB.PCI0.PEG.VID._OFF: failed
Trying \_SB.PCI0.P0P2.DGPU._OFF: failed
Trying \_SB.PCI0.P0P4.DGPU.DOFF: failed
Trying \_SB.PCI0.IXVE.IGPU.DGOF: failed
Trying \_SB.PCI0.RP00.VGA._PS3: failed
Trying \_SB.PCI0.RP00.VGA.P3MO: failed
Trying \_SB.PCI0.GFX0.DSM._T_0: failed
Trying \_SB.PCI0.LPC.EC.PUBS._OFF: failed
Trying \_SB.PCI0.P0P2.NVID._OFF: failed

Output for "lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA"

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 18) (prog-if 00 [VGA controller])
02:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0dd3] (rev a1) (prog-if 00 [VGA controller])

DSDT.dsl attached

elecguy (elecguy) wrote :

This is the output from a Dell XPS17 L702X with a Geforce GT 555m (and i7-2630QM):

>sudo dmidecode -s system-product-name
Dell System XPS L702X

>sudo dmidecode -s system-version
Not Specified

>lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0dcd] (rev a1) (prog-if 00 [VGA controller])

DSDT.dsl file attached

Alejandro (alepereira86) wrote :

I let you the information of my hp dv6-3023CA:

user@user:~$ lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc M880G [Mobility Radeon HD 4200] [1002:9712]
02:00.0 VGA compatible controller [0300]: ATI Technologies Inc Redwood [Radeon HD 5600 Series] [1002:68c1]

user@user:~$ lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc M880G [Mobility Radeon HD 4200] [1002:9712]
02:00.0 VGA compatible controller [0300]: ATI Technologies Inc Redwood [Radeon HD 5600 Series] [1002:68c1]

The actual driver that im using from ati only allows the HD 4250 video card. Thanks!

Flat Six (flat6) wrote :

Hello,

please find hereafter information for my system :

Commercial name of my laptop : MSI FX 700 with GeForce GT 425 M

system-version
MS-1751
REV:1.0

lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0df0] (rev a1) (prog-if 00 [VGA controller])

Hope it will help you.... and us !!!

nresni (nresnikow) wrote :

hi,

My configuration:

sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
N53SN
1.0

lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Sandy Bridge Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0df6] (rev a1) (prog-if 00 [VGA controller])

good luck ;)

Stian Rødven Eide (julipan) wrote :

$ sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
B4100M
Not Applicable

$ lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation GT218 [GeForce 310M] [10de:0a72] (rev a2) (prog-if 00 [VGA controller])

Hi, I recently joined the team and already sent my information on the mailing list. I'm just adding it here as well just to be safe. By the way, even with the new calls I can't get the test_off.sh script to work with my system.

I'm using a Sager NP 5160/Clevo W150HNM with Nvidia Optimus GT 540M/Intel SandyBridge HD

$ sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
W150HNM/W170HN
0.1
$ lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:0126] (rev 09) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0df4] (rev a1) (prog-if 00 [VGA controller])

matt bowcock (matt-bowcock) wrote :

Dell XPS L502X

video cards -

00:02.0 VGA compatible controller [0300]: Intel Corporation Sandy Bridge Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0df4] (rev a1) (prog-if 00 [VGA controller])

I see someone else has posted for the Dell XPS 15 l502x but I'll post this here in case OS-specific information is included (as I'm running Natty).

--
Dell System XPS L502X
Not Specified
--
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0df4] (rev a1) (prog-if 00 [VGA controller])
--

Dan (wanderersds) wrote :

Asus K50id;
Ubuntu 10.10;
2.6.37-020637-generic #201101050908 x86_64 GNU/Linux;
VGA compatible controller: nVidia Corporation GT216 [GeForce GT 320M] (rev a2).

Tomasz Famulski (famulski) wrote :

Samsung RF511-S04

ACPI call doesn't disable NVIDIA GPU chip.

tomasz@tomasz-RF511-RF411-RF711:/$ sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
RF511/RF411/RF711
07HX

tomasz@tomasz-RF511-RF411-RF711:/$ lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])

tomasz@tomasz-RF511-RF411-RF711:/$ lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep 3D
01:00.0 3D controller [0302]: nVidia Corporation Device [10de:0df4] (rev a1)

Piotr Anisko (calka) wrote :

My laptop:

MSI CX 620
ATI HD5470 / Intel

sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
MS-1688
Ver.001

lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 12) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Manhattan [Mobility Radeon HD 5000 Series] [1002:68e0] (rev ff) (prog-if ff)

Hans Persson (perssonhans78) wrote :

My DSDT.dsl, from a ASUS 1215N.

I hope I will be able to help.

angalad (angalad) wrote :

I have a brand new Samsung SF310 laptop and it has the same issue. Here are some clues as seen in other comments

me@mycomputer:~/acpi_call$ sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
QX310/QX410/QX510/SF310/SF410/SF510
04MX
me@mycomputer:~/acpi_call$ lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
me@mycomputer:~/acpi_call$ lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep 3D
01:00.0 3D controller [0302]: nVidia Corporation GT218 [GeForce 310M] [10de:0a70] (rev a2)

I'll attach my DSDT.dsl file as well

It would be really great to have this issue solved soon. Thanks for all the work.

whitepixel (whitepixel) wrote :

I'm running Dell XPS L501X. I'm able to disable the Nvidia card with the acpi_call module, but I cannot switch to the nvidia card with either the noveau or the nvidia proprietary drivers.

$ sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
XPS L501X
A06
$ lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 18) (prog-if 00 [VGA controller])
02:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0df1] (rev ff) (prog-if ff)

adder (adriaan-sticker) wrote :

I have a medion akoya (P6625) I can't do anything with acpi_call.

 sudo dmidecode -s system-product-name && sudo dmidecode -s system-version
P662X
1.0

lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 12) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M96 [Mobility Radeon HD 4650] [1002:9480] (prog-if 00 [VGA controller])

See attachement for DSDT.dsl

llloic (lll+ubuntu) wrote :

Hi All,

The ./test_off.sh script is not working for me on my brand new computer Clevo W150HNM with a Sandybride i5-2530M.
Could you help me?

Here is the information requested:
$ sudo dmidecode -s system-product-name && sudo dmidecode -s system-version && lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA
W150HNM/W170HN
0.1
00:02.0 VGA compatible controller [0300]: Intel Corporation Sandy Bridge Integrated Graphics Controller [8086:0116] (rev 07) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0df4] (rev a1) (prog-if 00 [VGA controller])

and the file Clevo_W150HNM_DSDT.dsl attached.

Thanks in advance,
Best regards
Loïc

Namzaj (jasperkuiper-gmail) wrote :

Asus N53JF notebook GT425M Optimus

sudo dmidecode -s system-product-name && sudo dmidecode -s system-version

N53Jf
1.0

lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integ
rated Graphics Controller [8086:0046] (rev 18) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0df0]
(rev a1) (prog-if 00 [VGA controller])

DSDT.dsl attached

mvferrer (mvferrer) wrote :

Just got the new Dell XPS 17. acpi_call isn't turning off my dedicated card. Here's my info (with DSDT.dsl attached):

sudo dmidecode -s system-product-name && sudo dmidecode -s system-version

Dell System XPS L702X
Not Specified

lspci -vnnn | perl -lne 'print if /^\d+\:.+(\[\S+\:\S+\])/' | grep VGA

00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:0116] (rev 09)
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:0dcd] (rev a1)

mvferrer (mvferrer) wrote :

Forgot to name my DSDT.dsl attachment for Dell XPS L702X. I'll re-upload.

Sasha Costanza-Chock (schock) wrote :

Sony VPCZ1390x. Ubuntu Natty (development branch).

lspci | grep VGA returns:

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])

01:00.0 VGA compatible controller [0300]: nVidia Corporation GT216 [GeForce GT 330M] [10de:0a2b] (rev a2) (prog-if 00 [VGA controller])

dsdt.dsl attached.

Pat Gunn (pgunn) wrote :

HP ENVY 3D 17", Fedora 14 (was told to file a bug here by http://linux-hybrid-graphics.blogspot.com/ )

myopia:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Device 0116 (rev 09)
01:00.0 VGA compatible controller: ATI Technologies Inc Device 68a8

I believe the ATI card is a ATI Radeon HD 6850M.

Neither card works right now; currently running with the VESA driver.

johno123 (johno) wrote :

Hi,

Enclosing DST for ASUS 12.1" VX6

Timo Aaltonen (tjaalton) wrote :

The "hybrid graphics linux" -project might want to open a bug on it's bugtracker to get these reports, the X team doesn't need them. Closing the bug.

Changed in xorg-server (Ubuntu):
status: Triaged → Won't Fix
Changed in xorg-server:
status: New → Invalid

Hi Timo,

Is it possible to automatically make a tar.gz of all the attachments
in this bug?

On Wed, Apr 6, 2011 at 8:26 AM, Timo Aaltonen
<email address hidden> wrote:
> The "hybrid graphics linux" -project might want to open a bug on it's
> bugtracker to get these reports, the X team doesn't need them. Closing
> the bug.
>
> ** Changed in: xorg-server (Ubuntu)
>       Status: Triaged => Won't Fix
>
> ** Changed in: xorg-server
>       Status: New => Invalid
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/312756
>
> Title:
>  MASTER: support graphics card hot switch
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/xorg-server/+bug/312756/+subscribe
>

Timo Aaltonen (tjaalton) wrote :

not that I know of, check the LP API tools.

Rune Juhl Jacobsen (runejuhl) wrote :

If you don't care about text from the comments, you can download all the
attachments from http://listepik.net/~runejuhl/bug312756-20110406.tar.bz2 .
They're in the same order as the attachment list on the Launchpad page.

/Rune

On Wed, Apr 6, 2011 at 12:51, Albert Vilella <email address hidden> wrote:

> Hi Timo,
>
> Is it possible to automatically make a tar.gz of all the attachments
> in this bug?
>
> On Wed, Apr 6, 2011 at 8:26 AM, Timo Aaltonen
> <email address hidden> wrote:
> > The "hybrid graphics linux" -project might want to open a bug on it's
> > bugtracker to get these reports, the X team doesn't need them. Closing
> > the bug.
> >
> > ** Changed in: xorg-server (Ubuntu)
> > Status: Triaged => Won't Fix
> >
> > ** Changed in: xorg-server
> > Status: New => Invalid
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> > https://bugs.launchpad.net/bugs/312756
> >
> > Title:
> > MASTER: support graphics card hot switch
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/xorg-server/+bug/312756/+subscribe
> >
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/312756
>
> Title:
> MASTER: support graphics card hot switch
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/xorg-server/+bug/312756/+subscribe
>

R00T (r00t-truehosting) wrote :

Asus 1215N, Slackware-13.1 32-bit, self-made 2.6.38.2 Linux kernel.

lspci sees all 2 video devices.

during kernel boot:

vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
vgaarb: device added: PCI:0000:04:00.0,decodes=io+mem,owns=none,locks=none
vgaarb: loaded

during NVidia module probe:

nvidia: module license 'NVIDIA' taints kernel.
Disabling lock debugging due to kernel taint
nvidia 0000:04:00.0: power state changed by ACPI to D0
nvidia 0000:04:00.0: power state changed by ACPI to D0
nvidia 0000:04:00.0: enabling device (0000 -> 0003)
nvidia 0000:04:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
nvidia 0000:04:00.0: setting latency timer to 64
vgaarb: device changed decodes: PCI:0000:04:00.0,olddecodes=io+mem,decodes=none:owns=none
NVRM: loading NVIDIA UNIX x86 Kernel Module 260.19.44 Sun Feb 27 21:30:31 PST 2011
ioremap error for 0xaf660000-0xaf661000, requested 0x10, got 0x0

during X.Org start:

(WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
(**) NVIDIA(0): Depth 16, (--) framebuffer bpp 16
(==) NVIDIA(0): RGB weight 565
(==) NVIDIA(0): Default visual is TrueColor
(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
(**) Apr 09 18:38:17 NVIDIA(0): Enabling RENDER acceleration
(II) Apr 09 18:38:17 NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
(II) Apr 09 18:38:17 NVIDIA(0): enabled.
(II) Apr 09 18:38:18 NVIDIA(0): NVIDIA GPU ION (GT218) at PCI:4:0:0 (GPU-0)
(--) Apr 09 18:38:18 NVIDIA(0): Memory: 524288 kBytes
(--) Apr 09 18:38:18 NVIDIA(0): VideoBIOS: 70.18.82.00.0b
(II) Apr 09 18:38:18 NVIDIA(0): Detected PCI Express Link width: 1X
(--) Apr 09 18:38:18 NVIDIA(0): Interlaced video modes are supported on this GPU
(--) Apr 09 18:38:18 NVIDIA(0): Connected display device(s) on ION at PCI:4:0:0
(--) Apr 09 18:38:18 NVIDIA(0): none
(EE) Apr 09 18:38:18 NVIDIA(0): No display devices found for this X screen.

Eric Appleman (erappleman) wrote :

Looks like AMD has a questionable Optimus alternative in the works.

It's called BACON and is muxless.

Plus, no OpenGL on the dedicated card.

zajc (zajcek) wrote :

Here is another semi-working graphics card in notebook HP Pavilion g7-1007em -> AMD Radeon HD 6470.

lspci -v | grep VGA
VGA compatible controller: Ati technologies Inc M880G [Mobility Radeon HD 4200]
VGA compatible controller: Ati technologies Inc NI Seymour [AMD Radeon HD 6470]

It is working fine in Ubuntu 10.10. In 11.04 it stops working. xorg.0.log shows this the following error:

Invalid ATI BIOS from int10, the adapter is not VGA-enabled
Invalid video BIOS signature!
GetBIOSParameter failed

When using kernel 2.6.38-8 the screen is blank no matter which driver I configure in xorg.conf.

Eric Appleman (erappleman) wrote :

Here's a dynamically switching laptop with a 6770M and the HD 3000.

HP Pavilion dv6 Notebook PC

058C110000244720001620100

00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Device [1002:6740] (prog-if 00 [VGA controller])

1 comments hidden view all 495 comments
Blazej-bucko (blazej-bucko) wrote :

This is dsdt.dsl for T500 with i915/HD3650 setup. Switching works fine, but when laptop is using Radeon it won't resume correctly.

Details from a Medion Akoya P8610

BIOS appears to choose the GF9100M rather than the GF9600M GS, so very little 3D acceleration, though nvidia-settings knows both chips are present.

xorg.conf:

----------START----------
Section "Device"
        Identifier "Default Device"
        Option "NoLogo" "True"
EndSection
---------- END ----------

Details from a Medion Akoya P8610, output as per http://linux-hybrid-graphics.blogspot.com/

Ramon (donramon) wrote :

HP Pavilion DM3-1020eb with Nvidia GeForce G105M

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
01:00.0 VGA compatible controller: NVIDIA Corporation G98M [GeForce G105M] (rev a2)

Displaying first 40 and last 40 comments. View all 495 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments